import { OnInit, EventEmitter, ElementRef, OnChanges, SimpleChanges } from '@angular/core';
import { Validator, ControlValueAccessor } from '@angular/forms';
import { NgbDate } from '@ng-bootstrap/ng-bootstrap/datepicker/ngb-date';
import { NgbTime } from '@ng-bootstrap/ng-bootstrap/timepicker/ngb-time';
export declare const CUSTOM_INPUT_CONTROL_VALUE_ACCESSOR: any;
export declare const CUSTOM_INPUT_CONTROL_VALIDATOR: any;
export declare class DatetimepickerComponent implements OnInit, OnChanges, ControlValueAccessor, Validator {
    private elementRef;
    OnPersianFormat: EventEmitter<{}>;
    disableTime: boolean;
    maxDateTime: any;
    minDateTime: any;
    displayMonths: number;
    disabled: boolean;
    overlayVisible: boolean;
    dir: 'ltr' | 'rtl';
    _dateTimeFormat: string;
    _date: any;
    _time: any;
    _value: Date;
    _lastValue: any;
    _panelClick: boolean;
    constructor(elementRef: ElementRef);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    changedTime(): void;
    changedDate(): void;
    getValue(): Date;
    applyTextInput(): void;
    pad(str: number | any, max: any): string;
    inputBlur(): void;
    maxDate(): NgbDate;
    minDate(): NgbDate;
    maxTime(): NgbTime;
    minTime(): NgbTime;
    getValidDate(): boolean;
    getValidTime(): boolean;
    canChange(): void;
    onChange: any;
    onTouched: any;
    writeValue(val: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    validate(): {
        rangeError: {
            dateTime: Date;
            max: any;
            min: any;
        };
    };
    onMouseClick(datePicker: any): void;
    show(): void;
    hide(): void;
    handleClick(event: any): void;
}
